// 下拉选项的信息
export interface DropDownItem {
  value: any
  label: string
}

// 下拉框所需要的props信息
export interface DropDownInfo {
  defaultSelect: any
  title: string
  optionsList: Array<DropDownItem>
}

// 数据分析页面头部数据类型
export enum StaticDataType {
  TEXT = 'text',
  NUM = 'number',
  DATE = 'date'
}

export interface CompareInfo {
  compareVal: any
}

// 数据分析页面头部数据信息
export interface StaticDataItemInfo {
  dataTitle: string // 标题
  dataType: StaticDataType // 什么类型的数据
  value: any // 值
  compareInfo?: CompareInfo
}

// 数据分析页面头部数据所需要的props
export interface StaticDataInfo {
  dataList: Array<StaticDataItemInfo>
  titleClass?: string // 标题的样式
  valueClass?: string // 值的样式
}

// 时间趋势图的tab信息
export interface TabInfo {
  tabTitle: string // tab的标题
  url: string // 到时候需要获取数据的url
}

// 时间趋势组件所需要的props
export interface TemporalTrendProps {
  tabInfo: Array<TabInfo>
  defaultActive: string // 默认选中
}
