// 待定格式
export function resetTimeToMidnight(dateTimeStr: string): string {
  // 创建一个 Date 对象来解析输入的日期时间字符串
  const date = new Date(dateTimeStr)

  // 将时间部分设置为 00:00:00
  date.setHours(0, 0, 0, 0)

  // 格式化日期为 'YYYY-MM-DD HH:mm:ss' 格式
  const year = date.getFullYear()
  const month = String(date.getMonth() + 1).padStart(2, '0') // 月份从0开始，需要加1
  const day = String(date.getDate()).padStart(2, '0')
  const hours = String(date.getHours()).padStart(2, '0')
  const minutes = String(date.getMinutes()).padStart(2, '0')
  const seconds = String(date.getSeconds()).padStart(2, '0')

  // 返回格式化的字符串
  return `${year}-${month}-${day} ${hours}:${minutes}:${seconds}`
}
